### Method

# FwupdPlugin Edid set_eisa_id

#### Declaration [src]

    void
    fu_edid_set_eisa_id (
      FuEdid* self,
      const gchar* eisa_id
    )

#### Description [src]

Sets the EISA ID, which has to be equal to or less than 13 ASCII characters long.

Available since: | 1.9.6

#### Parameters

`eisa_id` | `const gchar*`
| String value, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.